/deals

Add a deal.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

Deals Custom Fields

Any custom fields that have been created can also have their values set via this method. For instance, if you had a custom field called customField1, you could pass that in as an argument with an associated value in the body parameters for the POST request.

You can see how this would appear with multiple custom fields in the sample response object.

🚧

Empty userIds Argument

Sending a request with an empty userIds argument will create a deal that no agents can see. This may be intentional, depending on your use case, but note that agents will not be able to access the deal unless their user ID is explicitly included. Admins and owners can still see all deals.

📘

Order Weights

You can create a custom sort order by setting the orderWeight field. For example, if you have one option with an orderWeight of 10000 and another of 11000, you can create a new stage with an orderWeight of 10500 that would be placed between them.

However, once the stage has been created, the orderWeight for all stages will be recalculated to enforce the new ordering with gaps of 1000. In the previous example, that means the value that was at 11000 will be moved to 12000 and the new one created at 10500 becomes 11000.

Body Params
string
required

Name of the deal.

int32
required

The stage that this deal should be assigned to.

string

Description of the deal.

peopleIds
array of int32s

A list of person ids that should be part of this deal.

peopleIds
userIds
array of int32s

A list of user ids that should be part of this deal.

userIds
int32

The price associated with this deal.

date

Projected close date of this deal.

int32

Set this value to enforce a specific sort order.

int32

Commission value to assign to this deal.

int32

Commission split for the agent split.

int32

Commission split for the team split.

date

Earnest Money Due Date for this deal.

date

Mutual Acceptance Date for this deal.

date

Due Diligence Date for this deal.

date

Final Walk Through Date for this deal.

date

Possession Date for this deal.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json